
Redmine - Defect #8910

API does not work on my client.

2011-07-26 23:05 - Jorge Luís

Status: Closed Start date: 2011-07-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Why the API does not work on my address:

http://lumenit.teamproject.com.br/projects.xml

The screen goes blank with no content in any response source code.

I would like to work this way:

http://www.redmine.org/projects.xml

Need to perform any procedure or during the installation files?

I'm totally lost.

History

#1 - 2011-07-27 06:32 - Alex Last

have you enabled REST API?

How to enable REST API in Redmine: http://www.taskadapter.com/help/redmine/redmine_config.html#rest_api

#2 - 2011-07-30 10:52 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

#3 - 2011-10-05 16:39 - Mikal Villa

- Status changed from Closed to Reopened

I also experienced a problem with no result from the REST API.

Yes, REST api is enabled. I've double checked.

But still, it don't work.

In logfile I got this:

Processing ProjectsController#index to xml (for <client ip> at 2011-10-05 16:26:40) [GET]

Parameters: {"format"=>"xml", "action"=>"index", "page"=>"1", "controller"=>"projects", "per_page"=>"25"}

Filter chain halted as [:check_if_login_required] rendered_or_redirected.

Completed in 2ms (View: 0, DB: 0) | 401 Unauthorized [http://&lt;host&gt;/redmine/projects.xml?page=1&per_page=25]

And when I tires it in a webbrowser where I'm not signed in, I don't get any http login request whatsoever.

#4 - 2011-11-21 18:10 - Etienne Massip

- Category changed from Forums to REST API

#5 - 2013-04-30 10:27 - Jean-Baptiste Barth

- Status changed from Reopened to Closed

- Priority changed from High to Normal

Closing this one, you probably got the authentication wrong. See Rest_api
